/*
 *
 *	Copyright (C) Performance Awareness Corporation, 1986, 1987, 1988,
 *		1989, 1990, 1991, 1992, 1993, 1994, 1995
 *	ALL RIGHTS RESERVED WORLDWIDE.
 *
 *	This Module contains Proprietary Information of
 *	Performance Awareness Corporation
 *	and should be treated as Confidential.
 *
 *	preVue is a trademark of Performance Awareness Corporation.
 *
 */

/*
 *
 * preVue header file
 *
 */

/* return values of various preVue built-in functions */ 
#define	EOF	-1
#define	NULL	0

/* File descriptors to be used for formatted input/output routines:
   fprintf() and sscanf() */
#define	stdin	0
#define	stdout	1
#define	stderr	2

/* converts "words per minute" and "characters per second" typing speeds
   to "milliseconds delay per character" for Typing_dly environment variable */
#define	WPM(A)	(10000/(A) + ((10000%(A)) >= (A)/2))
#define	CPS(A)	(1000/(A) + ((1000%(A)) >= (A)/2))

/* converts other time units to milliseconds for Timeout_val environment
   variable and delay() argument */
#define	HOURS(A)	((A) * 3600000)
#define	MINUTES(A)	((A) * 60000)
#define	SECONDS(A)	((A) * 1000)

/* defines all (non-X) environment variables for use in pop [...], reset [...],
   save [...], restore [...], and show [...] environment manipulation commands.
   The first definition omits the Line environment variable because of its
   special relationship to the other environment variables. */
#define ENV_VARS	Think_avg,Think_sd,Think_dist,Think_def,Typing_dly,Key_map,Parity,Baud,Charsize,Stopbits,Flow_control,Modem_control,Timeout_val,Timeout_act,Escape_seq,Logout_seq,Log_level,Record_level,Mystack,Mysstack,Mybstack,Emulation,Screen_mask,Screen_match,Think_max,Check_unread,Think_dly_scale,Typing_dly_scale,Delay_dly_scale,Timeout_scale,Suspend_check
#define EVERY_ENV_VAR	Think_avg,Think_sd,Think_dist,Think_def,Typing_dly,Key_map,Parity,Baud,Charsize,Stopbits,Flow_control,Modem_control,Timeout_val,Timeout_act,Escape_seq,Logout_seq,Log_level,Record_level,Mystack,Mysstack,Mybstack,Emulation,Screen_mask,Screen_match,Think_max,Check_unread,Think_dly_scale,Typing_dly_scale,Delay_dly_scale,Timeout_scale,Suspend_check,Line

